Config (tdxm) admin API Resource

Abstract class for REST webservices

POST /tdxm/config/rewrite

Try it out!

Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /tdxm/config/classrelation/json

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON)

DELETE /tdxm/config/contextparent/{domainId}

Delete context root configuration for given domain

Try it out!

Request Parameters
name type description default constraints
domainId path domain ID   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if deleting context parent configuration for domain was successful or not

GET /tdxm/config/contextparent/{domainId}

Get context root configuration for given domain

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Response Body
media type data type description
application/json HdcContextParentTO (JSON) JSON Response with the configuration for context parent.

Example of response:

{"configuredContextRootClassId": "102","configuredContextRootFieldToMatch": "borgitm_descr","contextRootIdChildFieldName": "prop_parent","contextRootChildClassName": "fi2property"}

POST /tdxm/config/contextparent/{domainId}

Set context root configuration for given domain

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Request Body
media type data type description
application/json HdcContextParentTO (JSON) HdcContextParentTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /tdxm/config/domain/json

Try it out!

Request Body
media type data type
application/json TobisDomainTO (JSON)
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON)

GET /tdxm/config/domains/json

Try it out!

Response Body
media type data type description
application/json array of TobisDomainTO (JSON)

POST /tdxm/config/importconfig/{domainId}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/internaldomains/json

Try it out!

Response Body
media type data type description
application/json array of TobisDomainTO (JSON)

DELETE /tdxm/config/class/guidfield/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /tdxm/config/class/json/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/class/json/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Request Body
media type data type
application/json DomainClassTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /tdxm/config/class/json/{domainId}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Request Body
media type data type
application/json DomainClassTO (JSON)
Response Body
media type data type description
application/json DomainClassTO (JSON)

DELETE /tdxm/config/class/scalefield/{classId}

Remove scale field from class

Try it out!

Request Parameters
name type description default constraints
classId path - class id   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /tdxm/config/class/searchfields/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/class/searchfields/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Request Body
media type data type
application/json array of number (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /tdxm/config/class/ssfield/{classId}

Remove security scheme id field from class

Try it out!

Request Parameters
name type description default constraints
classId path - class id   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/classes/json/{domainId}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Response Body
media type data type description
application/json array of TobisDomainTO (JSON)

DELETE /tdxm/config/classrelation/json/{relationId}

Try it out!

Request Parameters
name type description default constraints
relationId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/classrelation/json/{relationId}

Try it out!

Request Parameters
name type description default constraints
relationId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/classrelations/json/{domainId}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Response Body
media type data type description
application/json object (JSON)

DELETE /tdxm/config/coordinatesrelation/json/{classRelationId}

Try it out!

Request Parameters
name type description default constraints
classRelationId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/coordinatesrelation/json/{classRelationId}

Try it out!

Request Parameters
name type description default constraints
classRelationId path   long
Response Body
media type data type description
application/json CoordinatesMapping (JSON)

PUT /tdxm/config/coordinatesrelation/json/{classRelationId}

Try it out!

Request Parameters
name type description default constraints
classRelationId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /tdxm/config/domain/json/{domainId}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/domain/json/{domainId}

Updates existing external domain

Try it out!

Request Parameters
name type description default constraints
domainId path id of the domain   long
Request Body
media type data type
application/json TobisDomainTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) Sample input: {"domainName":"d1", "isPublic":false}

POST /tdxm/config/field/json/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Request Body
media type data type
application/json DomainClassFieldTO (JSON)
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON)

DELETE /tdxm/config/field/json/{fieldId}

Try it out!

Request Parameters
name type description default constraints
fieldId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/field/json/{fieldId}

Try it out!

Request Parameters
name type description default constraints
fieldId path   long
Request Body
media type data type
application/json DomainClassFieldTO (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/fields/json/{classId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
Response Body
media type data type description
application/json array of DomainClassFieldTO (JSON)

POST /tdxm/config/fieldsrelation/json/{classRelationId}

Try it out!

Request Parameters
name type description default constraints
classRelationId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/fieldsrelation/json/{classRelationId}

Try it out!

Request Parameters
name type description default constraints
classRelationId path   long
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/fieldsrelations/json/{relationId}

Get list of field relations for tdxm class mapping

Try it out!

Request Parameters
name type description default constraints
relationId path id of tdxm class mapping   long
Response Body
media type data type description
application/json array of FieldMapping (JSON) JSON Response with list of field relations

Example of response:

{"list":[{"srcClass":"HDV_H1_ORG2GRP","dstFieldId":"368","dstField":"fmf_name","srcFieldId":"599","srcField":"BORGITM_DESCR","relationId":"23","idMapping":false},{"srcClass":"HDV_H1_ORG2GRP","dstFieldId":"367","dstField":"fmf_id","srcFieldId":"894","srcField":"BORGITM_ID","relationId":"23","idMapping":true}]}

POST /tdxm/config/importconfig/xls/{domainId}

Import external domain classes with fields from xls

Try it out!

Request Parameters
name type description default constraints
domainId path Id of the target import domain file upload request with xls with external domain configuration   long
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/livesource/json/{domainId}

Get information about live source for given domain.

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Response Body
media type data type description
application/json object (JSON) JSON Response with the list of versions.

Example of response:

{"isLiveDataSource":true,"url":"http://webservice.com","properties":{"username":"test","password":"test1"}}

POST /tdxm/config/livesource/json/{domainId}

Set live source for given domain

Example of request:

{"isLiveDataSource":true,"url":"http://webservice.com","properties":{"username":"test","password":"test1"}}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
Request Body
media type data type description
application/json HdcLiveSourceTO (JSON) HdcLiveSourceTO
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information if setting properties for live source was successful or not

PUT /tdxm/config/class/guidfield/{classId}/{fieldId}

Try it out!

Request Parameters
name type description default constraints
classId path   long
fieldId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/class/scalefield/{classId}/{fieldId}

Set scale field for class

Try it out!

Request Parameters
name type description default constraints
classId path - class id   long
fieldId path - field id   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /tdxm/config/class/ssfield/{classId}/{fieldId}

Set security sheme id field for class

Try it out!

Request Parameters
name type description default constraints
classId path - class id   long
fieldId path - field id   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

POST /tdxm/config/domain/config/import/{domainId}

Import external domain configuration

Try it out!

Request Parameters
name type description default constraints
domainId path Id of the target import domain file upload request with external domain configuration (only xml and json extension are supported)   long
Request Body
media type data type
multipart/form-data (custom)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /tdxm/config/domain/config/export/{outputType}/{domainId}

Export external domain configuration

Try it out!

Request Parameters
name type description default constraints
domainId path Id of the exported domain   long
outputType path Type of outputFile - JSON or XML    
Response Body
media type data type description
application/json object (JSON) XML or JSON file with external domain configuration
application/vnd.ms-excel object
application/xml object

POST /tdxm/config/domain/config/export/{outputType}/{domainId}

Try it out!

Request Parameters
name type description default constraints
domainId path   long
outputType path    
Response Body
media type data type description
application/json object (JSON)

DELETE /tdxm/config/fieldsrelation/json/{classRelationId}/{srcFieldId}/{dstFieldId}

Try it out!

Request Parameters
name type description default constraints
classRelationId path   long
dstFieldId path   long
srcFieldId path   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON)